# The LaTeX package genealogytree - version 2.3.0 (2023/03/09)

> Copyright (c) 2013-2023 by Prof. Dr. Dr. Thomas F. Sturm <thomas dot sturm at unibw dot de>

> This work may be distributed and/or modified under the
> conditions of the LaTeX Project Public License, either version 1.3
> of this license or (at your option) any later version.
> The latest version of this license is in
>   http://www.latex-project.org/lppl.txt
> and version 1.3 or later is part of all distributions of LaTeX
> version 2005/12/01 or later.

> This work has the LPPL maintenance status `author-maintained`.

> This work consists of all files listed in README.md


Pedigree and genealogical tree diagrams are proven tools to visualize genetic
and relational connections between individuals. The naming for mathematical tree
structures with parent nodes and child nodes is traded from historical family
diagrams. However, even the smallest family entity consisting of two parents and
several children is no mathematical tree but a more general graph. The
`genealogytree` packages provides a set of tools to typeset such genealogical
trees or, more precisely, to typeset a set of special graphs for the description
of family-like structures. The package uses an autolayout algorithm which can be
customized to e.g. prioritize certain paths.


## Contents of the package

-  `README.md`                      this file
-  `CHANGES.md`                     log of changes (history)
-  `genealogytree.sty`              LaTeX package file (style file)
-  `*.code.tex`                     LaTeX package file (library of genealogytree)
-  `genealogytree.pdf`              Documentation for genealogytree
-  `genealogytree-example-*.pdf`    Example pedigree charts
-  `genealogytree-languages.pdf`    Short language survey
-  `genealogytree.doc.sources.zip`  Source code of the documentation


## Installation

Copy the contents of the `genealogytree.tds.zip` from CTAN to your local TeX file tree.

Alternatively, put the files to their respective locations within the TeX installation:

-  `genealogytree.sty`     ->  /tex/latex/genealogytree
-  `*.code.tex`            ->  /tex/latex/genealogytree
-  all other files         ->  /doc/latex/genealogytree
